Update Server Miscellaneous Configuration
curl --request PUT \
--url https://use.hoop.dev/api/serverconfig/misc \
--header 'Content-Type: application/json' \
--data '
{
"grpc_server_url": "grpc://127.0.0.1:8010",
"http_proxy_server_config": {
"listen_address": "http://0.0.0.0:18888"
},
"postgres_server_config": {
"listen_address": "0.0.0.0:15432"
},
"rdp_server_config": {
"listen_address": "0.0.0.0:3389"
},
"ssh_server_config": {
"hosts_key": "base64-pem-encoded-hosts-key",
"listen_address": "0.0.0.0:12222",
"trusted_cas": [
"ssh-ed25519 AAAA..."
],
"user_mapping": {
"cert_attr": "principal",
"user_attr": "email"
}
}
}
'import requests
url = "https://use.hoop.dev/api/serverconfig/misc"
payload = {
"grpc_server_url": "grpc://127.0.0.1:8010",
"http_proxy_server_config": { "listen_address": "http://0.0.0.0:18888" },
"postgres_server_config": { "listen_address": "0.0.0.0:15432" },
"rdp_server_config": { "listen_address": "0.0.0.0:3389" },
"ssh_server_config": {
"hosts_key": "base64-pem-encoded-hosts-key",
"listen_address": "0.0.0.0:12222",
"trusted_cas": ["ssh-ed25519 AAAA..."],
"user_mapping": {
"cert_attr": "principal",
"user_attr": "email"
}
}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
grpc_server_url: 'grpc://127.0.0.1:8010',
http_proxy_server_config: {listen_address: 'http://0.0.0.0:18888'},
postgres_server_config: {listen_address: '0.0.0.0:15432'},
rdp_server_config: {listen_address: '0.0.0.0:3389'},
ssh_server_config: {
hosts_key: 'base64-pem-encoded-hosts-key',
listen_address: '0.0.0.0:12222',
trusted_cas: ['ssh-ed25519 AAAA...'],
user_mapping: {cert_attr: 'principal', user_attr: 'email'}
}
})
};
fetch('https://use.hoop.dev/api/serverconfig/misc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grpc_server_url": "grpc://127.0.0.1:8010",
"http_proxy_server_config": {
"listen_address": "http://0.0.0.0:18888"
},
"postgres_server_config": {
"listen_address": "0.0.0.0:15432"
},
"rdp_server_config": {
"listen_address": "0.0.0.0:3389"
},
"ssh_server_config": {
"hosts_key": "base64-pem-encoded-hosts-key",
"listen_address": "0.0.0.0:12222",
"trusted_cas": [
"ssh-ed25519 AAAA..."
],
"user_mapping": {
"cert_attr": "principal",
"user_attr": "email"
}
}
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Server Management
Update Server Miscellaneous Configuration
Update server miscellaneous configuration
PUT
/
serverconfig
/
misc
Update Server Miscellaneous Configuration
Body
application/json
The request body resource
The gRPC server URL used to advertise the gRPC server to clients
The HTTP proxy server configuration
Show child attributes
Show child attributes
The PostgreSQL server proxy configuration
Show child attributes
Show child attributes
The RDP server proxy configuration
Show child attributes
Show child attributes
The SSH server proxy configuration
Show child attributes
Show child attributes
Response
OK
The gRPC server URL used to advertise the gRPC server to clients
The HTTP proxy server configuration
Show child attributes
Show child attributes
The PostgreSQL server proxy configuration
Show child attributes
Show child attributes
The RDP server proxy configuration
Show child attributes
Show child attributes
The SSH server proxy configuration
Show child attributes
Show child attributes
Was this page helpful?
⌘I